Debian Bug report logs - #504836
libmono-system-data1.0-cil: regression in SqlClient when running on CLI 1.1

version graph

Package: libmono-system-data1.0-cil; Maintainer for libmono-system-data1.0-cil is Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>;

Reported by: Mirco Bauer <m.bauer@gsd-software.net>

Date: Fri, 7 Nov 2008 16:03:08 UTC

Severity: serious

Found in version mono/1.9.1+dfsg-3

Fixed in version mono/1.9.1+dfsg-5

Done: Mirco Bauer <meebey@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>:
Bug#504836; Package libmono-system-data1.0-cil. (Fri, 07 Nov 2008 16:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mirco Bauer <m.bauer@gsd-software.net>:
New Bug report received and forwarded. Copy sent to Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>. (Fri, 07 Nov 2008 16:03:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mirco Bauer <m.bauer@gsd-software.net>
To: submit@bugs.debian.org
Subject: libmono-system-data1.0-cil: regression in SqlClient when running on CLI 1.1
Date: Fri, 07 Nov 2008 17:02:23 +0100
Package: libmono-system-data1.0-cil
Version: 1.9.1+dfsg-3
Severity: serious

The Microsoft SQL Client (System.Data.SqlClient) part of the System.Data
library, has a serious regression when running on the CLI 1.1 profile.

This is caused by a patch introduced in version 1.9.1+dfsg-3 that fixes
connection leaks in the connection pool.

The symptom of the issue looks like this:
Source array type cannot be assigned to destination array type.
  at Mono.Data.Tds.Protocol.TdsConnectionPool.GetConnection () [0x00000]
  at System.Data.SqlClient.SqlConnection.Open () [0x00000]

The code part of the patch that causes the issue:

+#if NET_2_0
+					if (Interlocked.CompareExchange<ITds> (ref list [index], connection, null) != null) {
+#else
+					if (Interlocked.CompareExchange (ref (list as object[]) [index], connection, null) != null) {
+#endif

The "as" cast for CLI 1.1 is the culprit. Unfortunately the "as" cast
operator was abused to make an ordinary cast causing the error not to
show up at compile stage. The fix will probably just be to remove the
useless cast, as the "list" variable is defined as ITds[] and thus no
need to cast it first to use the indexer.

-- 
Mit freundlichen Grüßen,

Mirco Bauer

Leiter Software & System-Entwicklung (CSA, CTO)
GSD Software Design GmbH
Chrysanderstrasse 1
21029 Hamburg

www:   http://www.gsd-software.net
email: m.bauer@gsd-software.net
tel:   +49 40 72692500
fax:   +40 40 72692503





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>:
Bug#504836; Package libmono-system-data1.0-cil. (Sun, 23 Nov 2008 23:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mirco Bauer <meebey@meebey.net>:
Extra info received and forwarded to list. Copy sent to Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>. (Sun, 23 Nov 2008 23:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 504836@bugs.debian.org (full text, mbox):

From: Mirco Bauer <meebey@meebey.net>
To: control@bugs.debian.org, 504836@bugs.debian.org
Subject: pending
Date: Mon, 24 Nov 2008 00:00:52 +0100
tags 504836 + pending
thanks

Fixed in SVN of the source package [0], upload pending (with some other
important fixes).

[0] http://svn.debian.org/viewsvn/pkg-mono/mono/branches/1.9.1-X/debian/

-- 
Regards,

Mirco 'meebey' Bauer

PGP-Key ID: 0xEEF946C8

FOSS Developer    meebey@meebey.net  http://www.meebey.net/
PEAR Developer    meebey@php.net     http://pear.php.net/
Debian Developer  meebey@debian.org  http://www.debian.org/




Tags added: pending Request was from Mirco Bauer <meebey@meebey.net> to control@bugs.debian.org. (Sun, 23 Nov 2008 23:06:04 GMT) Full text and rfc822 format available.

Reply sent to Mirco Bauer <meebey@debian.org>:
You have taken responsibility. (Thu, 04 Dec 2008 22:57:12 GMT) Full text and rfc822 format available.

Notification sent to Mirco Bauer <m.bauer@gsd-software.net>:
Bug acknowledged by developer. (Thu, 04 Dec 2008 22:57:12 GMT) Full text and rfc822 format available.

Message #17 received at 504836-close@bugs.debian.org (full text, mbox):

From: Mirco Bauer <meebey@debian.org>
To: 504836-close@bugs.debian.org
Subject: Bug#504836: fixed in mono 1.9.1+dfsg-5
Date: Thu, 04 Dec 2008 22:32:16 +0000
Source: mono
Source-Version: 1.9.1+dfsg-5

We believe that the bug you reported is fixed in the latest version of
mono, which is due to be installed in the Debian FTP archive:

libmono-accessibility1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-accessibility1.0-cil_1.9.1+dfsg-5_all.deb
libmono-accessibility2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-accessibility2.0-cil_1.9.1+dfsg-5_all.deb
libmono-bytefx0.7.6.1-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-bytefx0.7.6.1-cil_1.9.1+dfsg-5_all.deb
libmono-bytefx0.7.6.2-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-bytefx0.7.6.2-cil_1.9.1+dfsg-5_all.deb
libmono-c5-1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-c5-1.0-cil_1.9.1+dfsg-5_all.deb
libmono-cairo1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-cairo1.0-cil_1.9.1+dfsg-5_all.deb
libmono-cairo2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-cairo2.0-cil_1.9.1+dfsg-5_all.deb
libmono-corlib1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-corlib1.0-cil_1.9.1+dfsg-5_all.deb
libmono-corlib2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-corlib2.0-cil_1.9.1+dfsg-5_all.deb
libmono-corlib2.1-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-corlib2.1-cil_1.9.1+dfsg-5_all.deb
libmono-cscompmgd7.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-cscompmgd7.0-cil_1.9.1+dfsg-5_all.deb
libmono-cscompmgd8.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-cscompmgd8.0-cil_1.9.1+dfsg-5_all.deb
libmono-data-tds1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-data-tds1.0-cil_1.9.1+dfsg-5_all.deb
libmono-data-tds2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-data-tds2.0-cil_1.9.1+dfsg-5_all.deb
libmono-db2-1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-db2-1.0-cil_1.9.1+dfsg-5_all.deb
libmono-dev_1.9.1+dfsg-5_i386.deb
  to pool/main/m/mono/libmono-dev_1.9.1+dfsg-5_i386.deb
libmono-firebirdsql1.7-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-firebirdsql1.7-cil_1.9.1+dfsg-5_all.deb
libmono-i18n1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-i18n1.0-cil_1.9.1+dfsg-5_all.deb
libmono-i18n2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-i18n2.0-cil_1.9.1+dfsg-5_all.deb
libmono-ldap1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-ldap1.0-cil_1.9.1+dfsg-5_all.deb
libmono-ldap2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-ldap2.0-cil_1.9.1+dfsg-5_all.deb
libmono-microsoft-build2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-microsoft-build2.0-cil_1.9.1+dfsg-5_all.deb
libmono-microsoft7.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-microsoft7.0-cil_1.9.1+dfsg-5_all.deb
libmono-microsoft8.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-microsoft8.0-cil_1.9.1+dfsg-5_all.deb
libmono-mozilla0.2-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-mozilla0.2-cil_1.9.1+dfsg-5_all.deb
libmono-npgsql1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-npgsql1.0-cil_1.9.1+dfsg-5_all.deb
libmono-npgsql2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-npgsql2.0-cil_1.9.1+dfsg-5_all.deb
libmono-nunit2.2-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-nunit2.2-cil_1.9.1+dfsg-5_all.deb
libmono-oracle1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-oracle1.0-cil_1.9.1+dfsg-5_all.deb
libmono-oracle2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-oracle2.0-cil_1.9.1+dfsg-5_all.deb
libmono-peapi1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-peapi1.0-cil_1.9.1+dfsg-5_all.deb
libmono-peapi2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-peapi2.0-cil_1.9.1+dfsg-5_all.deb
libmono-relaxng1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-relaxng1.0-cil_1.9.1+dfsg-5_all.deb
libmono-relaxng2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-relaxng2.0-cil_1.9.1+dfsg-5_all.deb
libmono-security1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-security1.0-cil_1.9.1+dfsg-5_all.deb
libmono-security2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-security2.0-cil_1.9.1+dfsg-5_all.deb
libmono-sharpzip0.6-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-sharpzip0.6-cil_1.9.1+dfsg-5_all.deb
libmono-sharpzip0.84-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-sharpzip0.84-cil_1.9.1+dfsg-5_all.deb
libmono-sharpzip2.6-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-sharpzip2.6-cil_1.9.1+dfsg-5_all.deb
libmono-sharpzip2.84-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-sharpzip2.84-cil_1.9.1+dfsg-5_all.deb
libmono-sqlite1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-sqlite1.0-cil_1.9.1+dfsg-5_all.deb
libmono-sqlite2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-sqlite2.0-cil_1.9.1+dfsg-5_all.deb
libmono-system-data1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-system-data1.0-cil_1.9.1+dfsg-5_all.deb
libmono-system-data2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-system-data2.0-cil_1.9.1+dfsg-5_all.deb
libmono-system-ldap1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-system-ldap1.0-cil_1.9.1+dfsg-5_all.deb
libmono-system-ldap2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-system-ldap2.0-cil_1.9.1+dfsg-5_all.deb
libmono-system-messaging1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-system-messaging1.0-cil_1.9.1+dfsg-5_all.deb
libmono-system-messaging2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-system-messaging2.0-cil_1.9.1+dfsg-5_all.deb
libmono-system-runtime1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-system-runtime1.0-cil_1.9.1+dfsg-5_all.deb
libmono-system-runtime2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-system-runtime2.0-cil_1.9.1+dfsg-5_all.deb
libmono-system-web1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-system-web1.0-cil_1.9.1+dfsg-5_all.deb
libmono-system-web2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-system-web2.0-cil_1.9.1+dfsg-5_all.deb
libmono-system1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-system1.0-cil_1.9.1+dfsg-5_all.deb
libmono-system2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-system2.0-cil_1.9.1+dfsg-5_all.deb
libmono-system2.1-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-system2.1-cil_1.9.1+dfsg-5_all.deb
libmono-winforms1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-winforms1.0-cil_1.9.1+dfsg-5_all.deb
libmono-winforms2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono-winforms2.0-cil_1.9.1+dfsg-5_all.deb
libmono0-dbg_1.9.1+dfsg-5_i386.deb
  to pool/main/m/mono/libmono0-dbg_1.9.1+dfsg-5_i386.deb
libmono0_1.9.1+dfsg-5_i386.deb
  to pool/main/m/mono/libmono0_1.9.1+dfsg-5_i386.deb
libmono1.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono1.0-cil_1.9.1+dfsg-5_all.deb
libmono2.0-cil_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/libmono2.0-cil_1.9.1+dfsg-5_all.deb
mono-1.0-devel_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/mono-1.0-devel_1.9.1+dfsg-5_all.deb
mono-1.0-service_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/mono-1.0-service_1.9.1+dfsg-5_all.deb
mono-2.0-devel_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/mono-2.0-devel_1.9.1+dfsg-5_all.deb
mono-2.0-service_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/mono-2.0-service_1.9.1+dfsg-5_all.deb
mono-common_1.9.1+dfsg-5_i386.deb
  to pool/main/m/mono/mono-common_1.9.1+dfsg-5_i386.deb
mono-dbg_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/mono-dbg_1.9.1+dfsg-5_all.deb
mono-gac_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/mono-gac_1.9.1+dfsg-5_all.deb
mono-gmcs_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/mono-gmcs_1.9.1+dfsg-5_all.deb
mono-jay_1.9.1+dfsg-5_i386.deb
  to pool/main/m/mono/mono-jay_1.9.1+dfsg-5_i386.deb
mono-jit-dbg_1.9.1+dfsg-5_i386.deb
  to pool/main/m/mono/mono-jit-dbg_1.9.1+dfsg-5_i386.deb
mono-jit_1.9.1+dfsg-5_i386.deb
  to pool/main/m/mono/mono-jit_1.9.1+dfsg-5_i386.deb
mono-mcs_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/mono-mcs_1.9.1+dfsg-5_all.deb
mono-mjs_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/mono-mjs_1.9.1+dfsg-5_all.deb
mono-runtime_1.9.1+dfsg-5_i386.deb
  to pool/main/m/mono/mono-runtime_1.9.1+dfsg-5_i386.deb
mono-smcs_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/mono-smcs_1.9.1+dfsg-5_all.deb
mono-utils_1.9.1+dfsg-5_i386.deb
  to pool/main/m/mono/mono-utils_1.9.1+dfsg-5_i386.deb
mono-xbuild_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/mono-xbuild_1.9.1+dfsg-5_all.deb
mono_1.9.1+dfsg-5.diff.gz
  to pool/main/m/mono/mono_1.9.1+dfsg-5.diff.gz
mono_1.9.1+dfsg-5.dsc
  to pool/main/m/mono/mono_1.9.1+dfsg-5.dsc
prj2make-sharp_1.9.1+dfsg-5_all.deb
  to pool/main/m/mono/prj2make-sharp_1.9.1+dfsg-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 504836@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mirco Bauer <meebey@debian.org> (supplier of updated mono package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 04 Dec 2008 22:26:00 +0100
Source: mono
Binary: mono-common mono-runtime mono-jit mono-jit-dbg mono-utils libmono0 libmono0-dbg libmono-dev libmono1.0-cil libmono2.0-cil libmono-c5-1.0-cil libmono-mozilla0.2-cil libmono-nunit2.2-cil libmono-corlib1.0-cil libmono-corlib2.0-cil libmono-corlib2.1-cil libmono-i18n1.0-cil libmono-i18n2.0-cil libmono-system1.0-cil libmono-system2.0-cil libmono-system2.1-cil libmono-system-messaging1.0-cil libmono-system-messaging2.0-cil libmono-security1.0-cil libmono-security2.0-cil libmono-data-tds1.0-cil libmono-data-tds2.0-cil libmono-system-data1.0-cil libmono-system-data2.0-cil libmono-system-web1.0-cil libmono-system-web2.0-cil libmono-system-runtime1.0-cil libmono-system-runtime2.0-cil libmono-system-ldap1.0-cil libmono-system-ldap2.0-cil libmono-winforms1.0-cil libmono-winforms2.0-cil libmono-cairo1.0-cil libmono-cairo2.0-cil libmono-sharpzip0.6-cil libmono-sharpzip0.84-cil libmono-sharpzip2.6-cil libmono-sharpzip2.84-cil libmono-npgsql1.0-cil libmono-npgsql2.0-cil libmono-bytefx0.7.6.1-cil libmono-bytefx0.7.6.2-cil libmono-firebirdsql1.7-cil libmono-db2-1.0-cil libmono-oracle1.0-cil libmono-oracle2.0-cil libmono-sqlite1.0-cil libmono-sqlite2.0-cil libmono-accessibility1.0-cil libmono-accessibility2.0-cil libmono-cscompmgd7.0-cil libmono-cscompmgd8.0-cil libmono-ldap1.0-cil libmono-ldap2.0-cil libmono-microsoft-build2.0-cil libmono-microsoft7.0-cil libmono-microsoft8.0-cil libmono-peapi1.0-cil libmono-peapi2.0-cil libmono-relaxng1.0-cil libmono-relaxng2.0-cil mono-dbg mono-mjs mono-mcs mono-gmcs mono-smcs mono-1.0-devel mono-2.0-devel mono-1.0-service mono-2.0-service mono-xbuild mono-gac mono-jay prj2make-sharp
Architecture: source i386 all
Version: 1.9.1+dfsg-5
Distribution: unstable
Urgency: high
Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Changed-By: Mirco Bauer <meebey@debian.org>
Description: 
 libmono-accessibility1.0-cil - Mono Accessibility library
 libmono-accessibility2.0-cil - Mono Accessibility library
 libmono-bytefx0.7.6.1-cil - Mono ByteFX.Data library
 libmono-bytefx0.7.6.2-cil - Mono ByteFX.Data library
 libmono-c5-1.0-cil - Mono C5 library
 libmono-cairo1.0-cil - Mono Cairo library
 libmono-cairo2.0-cil - Mono Cairo library
 libmono-corlib1.0-cil - Mono core library (1.0)
 libmono-corlib2.0-cil - Mono core library (2.0)
 libmono-corlib2.1-cil - Mono core library (2.1)
 libmono-cscompmgd7.0-cil - Mono cscompmgd library
 libmono-cscompmgd8.0-cil - Mono cscompmgd library
 libmono-data-tds1.0-cil - Mono Data library
 libmono-data-tds2.0-cil - Mono Data Library
 libmono-db2-1.0-cil - Mono DB2 library
 libmono-dev - libraries for the Mono JIT - Development files
 libmono-firebirdsql1.7-cil - Mono FirebirdSql library
 libmono-i18n1.0-cil - Mono I18N libraries (1.0)
 libmono-i18n2.0-cil - Mono I18N libraries (2.0)
 libmono-ldap1.0-cil - Mono LDAP library
 libmono-ldap2.0-cil - Mono LDAP library
 libmono-microsoft-build2.0-cil - Mono Microsoft.Build libraries
 libmono-microsoft7.0-cil - Mono Microsoft libraries
 libmono-microsoft8.0-cil - Mono Microsoft libraries
 libmono-mozilla0.2-cil - Mono Mozilla library
 libmono-npgsql1.0-cil - Mono Npgsql library
 libmono-npgsql2.0-cil - Mono Npgsql library
 libmono-nunit2.2-cil - Mono Unit test framework for CLI
 libmono-oracle1.0-cil - Mono Oracle library
 libmono-oracle2.0-cil - Mono Oracle library
 libmono-peapi1.0-cil - Mono PEAPI library
 libmono-peapi2.0-cil - Mono PEAPI library
 libmono-relaxng1.0-cil - Mono Relaxng library
 libmono-relaxng2.0-cil - Mono Relaxng library
 libmono-security1.0-cil - Mono Security library
 libmono-security2.0-cil - Mono Security library
 libmono-sharpzip0.6-cil - Mono SharpZipLib library
 libmono-sharpzip0.84-cil - Mono SharpZipLib library
 libmono-sharpzip2.6-cil - Mono SharpZipLib library
 libmono-sharpzip2.84-cil - Mono SharpZipLib library
 libmono-sqlite1.0-cil - Mono Sqlite library
 libmono-sqlite2.0-cil - Mono Sqlite library
 libmono-system-data1.0-cil - Mono System.Data library
 libmono-system-data2.0-cil - Mono System.Data Library
 libmono-system-ldap1.0-cil - Mono System.DirectoryServices library
 libmono-system-ldap2.0-cil - Mono System.DirectoryServices library
 libmono-system-messaging1.0-cil - Mono System.Messaging library
 libmono-system-messaging2.0-cil - Mono System.Messaging Library
 libmono-system-runtime1.0-cil - Mono System.Runtime library
 libmono-system-runtime2.0-cil - Mono System.Runtime Library
 libmono-system-web1.0-cil - Mono System.Web library
 libmono-system-web2.0-cil - Mono System.Web Library
 libmono-system1.0-cil - Mono System libraries (1.0)
 libmono-system2.0-cil - Mono System libraries (2.0)
 libmono-system2.1-cil - Mono System libraries (2.1)
 libmono-winforms1.0-cil - Mono System.Windows.Forms library
 libmono-winforms2.0-cil - Mono System.Windows.Forms library
 libmono0   - libraries for the Mono JIT
 libmono0-dbg - libraries for the Mono JIT, debugging symbols
 libmono1.0-cil - Mono libraries (1.0)
 libmono2.0-cil - Mono libraries (2.0)
 mono-1.0-devel - Mono development tools for CLI 1.0
 mono-1.0-service - Mono service manager for CLI 1.0
 mono-2.0-devel - Mono development tools for CLI 2.0
 mono-2.0-service - Mono service manager for CLI 2.0
 mono-common - common files for Mono
 mono-dbg   - Mono debugging symbols
 mono-gac   - Mono GAC tool
 mono-gmcs  - Mono C# 2.0 and C# 3.0 compiler for CLI 2.0
 mono-jay   - LALR(1) parser generator oriented to Java/CLI
 mono-jit   - fast CLI JIT/AOT compiler for Mono
 mono-jit-dbg - fast CLI JIT/AOT compiler for Mono, debugging symbols
 mono-mcs   - Mono C# compiler for CLI 1.1
 mono-mjs   - Mono JScript compiler
 mono-runtime - Mono runtime
 mono-smcs  - Mono C# 3.0 compiler for CLI 2.1 (Moonlight / Silverlight)
 mono-utils - Mono utilities
 mono-xbuild - MSBuild-compatible build system for Mono
 prj2make-sharp - Convert VS.NET solution files to Makefiles
Closes: 504836
Changes: 
 mono (1.9.1+dfsg-5) unstable; urgency=high
 .
   * debian/patches/fix_TdsConnectionPool_svn.dpatch:
     + Fixed regression of SqlClient running on CLI 1.1, caused exception in
       TdsConnectionPool.GetConnection(), which made the MSSQL client unusable.
       (Closes: #504836, thus urgency set to high)
     + Close free and unused connections in SqlConnection.ClearPool()
       (patch taken from upstream SVN revision r118308)
   * debian/patches/fix_libgc_freeze_r109502.dpatch:
     + Fixed possible freeze in garbage collector.
       (patch taken from upstream SVN revision r109502)
   * debian/patches/fix_remoting_tcp_delay_issue_r115529_r115562.dpatch:
     + Fixed issue with TCP packets of specific sizes being delayed by the
       Linux kernel using NO_DELAY.
       (patch taken from upstream SVN revisions r115529 and r115562)
Checksums-Sha1: 
 c772c6b2220f81d54c84f15345b0bd2ec428e899 3347 mono_1.9.1+dfsg-5.dsc
 ad0e746ef3a12e0fb4ba34c4c46c17fe940ea2cc 125995 mono_1.9.1+dfsg-5.diff.gz
 9d58d25e99d7249c3e7691390eb42ba791b9fc94 116088 mono-common_1.9.1+dfsg-5_i386.deb
 20d935ecb7d6691076180f8e5567022b35ad4ce8 27090 mono-runtime_1.9.1+dfsg-5_i386.deb
 e97c479746426e2da829c0f206c3c50de533bcae 799090 mono-jit_1.9.1+dfsg-5_i386.deb
 3a39a22da673beb4b336c5904f858db1c378242e 1865492 mono-jit-dbg_1.9.1+dfsg-5_i386.deb
 d63fd5dfcf0c99b8576280673c4cc3104a58b2dd 663920 mono-utils_1.9.1+dfsg-5_i386.deb
 d559c95f4e001fddda4ecd0149804c5bd1dbda5b 924878 libmono0_1.9.1+dfsg-5_i386.deb
 c93a9fbce68664d9df02291c7ae5976db59a25bc 1998666 libmono0-dbg_1.9.1+dfsg-5_i386.deb
 7db7f5fce168b794dd42192eb7990734d3f6e5a4 1245248 libmono-dev_1.9.1+dfsg-5_i386.deb
 310856739a7107014197fd620fad7165f163fbbe 65530 mono-jay_1.9.1+dfsg-5_i386.deb
 d07c67f39df07078dc9a5448163af3f25dde8a03 401770 libmono1.0-cil_1.9.1+dfsg-5_all.deb
 2393782cf17b2d4d8043e2f935c904533f325fe2 246392 libmono2.0-cil_1.9.1+dfsg-5_all.deb
 9d157fc97d126889d9cfe136d1499b818fdde426 138134 libmono-c5-1.0-cil_1.9.1+dfsg-5_all.deb
 654d13d1a5e7c9e17a754f94a2b28d00a5a390f4 58602 libmono-mozilla0.2-cil_1.9.1+dfsg-5_all.deb
 79dec7f32ebd61ba3be6ecdda970e67543a691c6 83372 libmono-nunit2.2-cil_1.9.1+dfsg-5_all.deb
 215d91aad94b2a29d97955321257df71b6f6daa1 748788 libmono-corlib1.0-cil_1.9.1+dfsg-5_all.deb
 01e23b8472a8a54cf94ba47ba2531d6ff9414003 905564 libmono-corlib2.0-cil_1.9.1+dfsg-5_all.deb
 426c1d4fa18f63d3747fd294e4d4b8b785a9ca0a 759712 libmono-corlib2.1-cil_1.9.1+dfsg-5_all.deb
 39568d97f92b9d5faf520caed66584d5f7a350de 401384 libmono-i18n1.0-cil_1.9.1+dfsg-5_all.deb
 9fdd7cfa8a60a985a38b753495d0256ad4a9388f 405102 libmono-i18n2.0-cil_1.9.1+dfsg-5_all.deb
 dccd9a89c1ac3a84f3a55294ffd7c637037aea60 933714 libmono-system1.0-cil_1.9.1+dfsg-5_all.deb
 53b712fbb0cf22bf69bf4dc39e69d8c12ac0d5de 1468706 libmono-system2.0-cil_1.9.1+dfsg-5_all.deb
 522b33a907d5a8614e70d40d52f93910c10ebca8 282416 libmono-system2.1-cil_1.9.1+dfsg-5_all.deb
 0225cf98cc55be50977a77d29cd74d76f6aaaace 53470 libmono-system-messaging1.0-cil_1.9.1+dfsg-5_all.deb
 bf01a10a2962751e6105e06aa51c677e070b34ca 53514 libmono-system-messaging2.0-cil_1.9.1+dfsg-5_all.deb
 9e56d3333dd33ef27637f6b159c4aa4844bdc0a0 140656 libmono-security1.0-cil_1.9.1+dfsg-5_all.deb
 931b61735c71a3c49a81f1bc553474f8ae0cb53f 141726 libmono-security2.0-cil_1.9.1+dfsg-5_all.deb
 80b38b01eea4a8dd99af92165a38250eb16aa2a2 56310 libmono-data-tds1.0-cil_1.9.1+dfsg-5_all.deb
 000a988d0c65e644be13bc4d713a50ffa78133e3 58466 libmono-data-tds2.0-cil_1.9.1+dfsg-5_all.deb
 032a803c78d81c3ed242b015da01538b5017ded8 249704 libmono-system-data1.0-cil_1.9.1+dfsg-5_all.deb
 eecc1dd6501a1c3edf536ce86a59d52e96c4abb9 316184 libmono-system-data2.0-cil_1.9.1+dfsg-5_all.deb
 d95d9b4809e5de719bacd4c243ca9d005588fb93 426498 libmono-system-web1.0-cil_1.9.1+dfsg-5_all.deb
 b75dd63e3b7d3bef0ff103631a494d44878c1dd3 864802 libmono-system-web2.0-cil_1.9.1+dfsg-5_all.deb
 96ff2f64a201653169eb03bdce65dc78bae6b317 86920 libmono-system-runtime1.0-cil_1.9.1+dfsg-5_all.deb
 24a7c7ec2a19cff4b862d511f9c8f7329d9203b4 95610 libmono-system-runtime2.0-cil_1.9.1+dfsg-5_all.deb
 bb340e87c85d93b9d295c36f6fb189c637b7d7f6 44598 libmono-system-ldap1.0-cil_1.9.1+dfsg-5_all.deb
 b10f0ec2ffa345f906b1ea539fa6ac5bce8e53d7 44650 libmono-system-ldap2.0-cil_1.9.1+dfsg-5_all.deb
 a604d4b1fafe7cc6f90b6491bdbcaf4cb515e940 945248 libmono-winforms1.0-cil_1.9.1+dfsg-5_all.deb
 3cdf57a69066bbe75eb82e124efb1c4b869563ba 1280940 libmono-winforms2.0-cil_1.9.1+dfsg-5_all.deb
 a93271581c2fb86aab40cf3bf70d2a1d705c80e5 47624 libmono-cairo1.0-cil_1.9.1+dfsg-5_all.deb
 bf3a0b775806c99c3ead319cf1feb47100cf70e1 47484 libmono-cairo2.0-cil_1.9.1+dfsg-5_all.deb
 d9d3699936e0942a02b684f476e3f11e0eb6731d 74534 libmono-sharpzip0.6-cil_1.9.1+dfsg-5_all.deb
 3d7369529690520b018e907d424270d7ad98d378 84626 libmono-sharpzip0.84-cil_1.9.1+dfsg-5_all.deb
 9bd158af05531eba19f231b91913081aaaaf0f94 74616 libmono-sharpzip2.6-cil_1.9.1+dfsg-5_all.deb
 e1857bedef7ee7cac515005f21651dec1589fca3 84668 libmono-sharpzip2.84-cil_1.9.1+dfsg-5_all.deb
 ce0667299780b1256c1b7d55cf90406056e6e624 91706 libmono-npgsql1.0-cil_1.9.1+dfsg-5_all.deb
 d3cb9a8dd55a0f26f042367e2d1dad4f78262e2a 91808 libmono-npgsql2.0-cil_1.9.1+dfsg-5_all.deb
 88b904fddebfa6e45dbfb0dfb5977275492f1bb4 69204 libmono-bytefx0.7.6.1-cil_1.9.1+dfsg-5_all.deb
 78280e3fc54e44a2fd19cfdcef2f10f9e67d74af 69294 libmono-bytefx0.7.6.2-cil_1.9.1+dfsg-5_all.deb
 0ddd64346726a894e32e9f55eec6bd0f779bb871 212138 libmono-firebirdsql1.7-cil_1.9.1+dfsg-5_all.deb
 231eed7e229ee88607663af85df9052993dab575 56346 libmono-db2-1.0-cil_1.9.1+dfsg-5_all.deb
 0e5447120e7b2e9e9d748c67d11aec88814281ee 79330 libmono-oracle1.0-cil_1.9.1+dfsg-5_all.deb
 d6dfd333bb2c156ca3aec48aeeaff53f249bbd96 79508 libmono-oracle2.0-cil_1.9.1+dfsg-5_all.deb
 0c218f41ba54d3df14dced8bf4b199a689b3c91e 60562 libmono-sqlite1.0-cil_1.9.1+dfsg-5_all.deb
 bd42e698bd066ca51ca3496778ee7f1303c0705d 93116 libmono-sqlite2.0-cil_1.9.1+dfsg-5_all.deb
 cb733cb4da73f9de41cfc753a3c945d9cb186b68 30672 libmono-accessibility1.0-cil_1.9.1+dfsg-5_all.deb
 70575aaa41c99b4953bcc05e73de844f30c5cec8 30632 libmono-accessibility2.0-cil_1.9.1+dfsg-5_all.deb
 dda9be065564a4adb47b15c4f53be0854031e777 33466 libmono-cscompmgd7.0-cil_1.9.1+dfsg-5_all.deb
 377708f588e35ad4a8e47c2013f5bc6d54ea61b3 33728 libmono-cscompmgd8.0-cil_1.9.1+dfsg-5_all.deb
 c3c5bf15a657b6f56ac1852cf3534c65a226d1e5 127740 libmono-ldap1.0-cil_1.9.1+dfsg-5_all.deb
 8ec4d7a6cb2a33aa497f6e31691dbaa01fe09670 127864 libmono-ldap2.0-cil_1.9.1+dfsg-5_all.deb
 2c2e8ec7c62ebb5e63426328db43e23f6f14a11c 138746 libmono-microsoft-build2.0-cil_1.9.1+dfsg-5_all.deb
 484b5d4d6ff6420d7f5cfd8b2006c4d886719a11 156122 libmono-microsoft7.0-cil_1.9.1+dfsg-5_all.deb
 1c8b9438df8a0157d763af1c07e36362f5f0f56d 156152 libmono-microsoft8.0-cil_1.9.1+dfsg-5_all.deb
 f504c77b52fc8e3872d13b8096d098a0a4a73adb 69656 libmono-peapi1.0-cil_1.9.1+dfsg-5_all.deb
 702b1058e680a430115da1d87f7645cf7ab2a2bb 69776 libmono-peapi2.0-cil_1.9.1+dfsg-5_all.deb
 64d9ba6656d886b0a3eb0d8db8f50c3eff4c4610 109964 libmono-relaxng1.0-cil_1.9.1+dfsg-5_all.deb
 f35861e0d1b036643f7bfe3b0e387e957195a754 110420 libmono-relaxng2.0-cil_1.9.1+dfsg-5_all.deb
 afb23a5d2bcbed2604523b442e41d416be054b72 12086800 mono-dbg_1.9.1+dfsg-5_all.deb
 581b2d6ca5007d1cb960dde397ce78f711b22971 34760 mono-mjs_1.9.1+dfsg-5_all.deb
 d807a1619aee414a104b276c684c88e441171ec4 366624 mono-mcs_1.9.1+dfsg-5_all.deb
 bf955324454097aaa413b2a632a7d294eb5930e0 387434 mono-gmcs_1.9.1+dfsg-5_all.deb
 cbdbaebf43d13796bb701fc79f2496b650371d80 374896 mono-smcs_1.9.1+dfsg-5_all.deb
 3e4a92293abd82cf9ca7509582d5ad7c2df98d52 389564 mono-1.0-devel_1.9.1+dfsg-5_all.deb
 0216a7cdea1073b56b392c826bcbbf0be6b78120 213108 mono-2.0-devel_1.9.1+dfsg-5_all.deb
 142e2beaf9840a274c8b922bd2a8b7cef8bc13a7 35008 mono-1.0-service_1.9.1+dfsg-5_all.deb
 7fe120ea0868bb4226af15168e39a748415b30fa 35046 mono-2.0-service_1.9.1+dfsg-5_all.deb
 4dfe7008a6a0b8e76ef95eeb4a9edc24f6a58d67 49966 mono-xbuild_1.9.1+dfsg-5_all.deb
 81897888b24ccb8438e0fdefc7e38f1dddb1a220 40908 mono-gac_1.9.1+dfsg-5_all.deb
 52fcea44a5543933863ad0b36491be9524c2093a 44420 prj2make-sharp_1.9.1+dfsg-5_all.deb
Checksums-Sha256: 
 86f12d490447702271a976e35aa4c473dffb1d371ea478dfc71291311e217aaf 3347 mono_1.9.1+dfsg-5.dsc
 b7eaf8d2af8dcd60f35f6073e89f6dd96ab9835f158a0a52b3b34190153869e5 125995 mono_1.9.1+dfsg-5.diff.gz
 808218189d2b855b9afd03d09dd542ba9ab30d6950c907d5cb0451338a7e9515 116088 mono-common_1.9.1+dfsg-5_i386.deb
 a0cfae6c68b5b3755415d256abce75ab2e38f40bfcbf9b2db20443802960a1e1 27090 mono-runtime_1.9.1+dfsg-5_i386.deb
 d543b40767bb8b6d19af143fa4b971784efdf6db5d97a2c4392831df8f31959d 799090 mono-jit_1.9.1+dfsg-5_i386.deb
 bca22b7937b3eb9d297913a26e663cdac26fe3de6ba9097448aeaf4ff816d0f6 1865492 mono-jit-dbg_1.9.1+dfsg-5_i386.deb
 a5a9359ee8c4dcaf3a51c12c4a3abff8891aaa7ddbb8c7eae9b53f61215b4ba2 663920 mono-utils_1.9.1+dfsg-5_i386.deb
 9fea414d8a4c8755b0bf5650ed905e71f8fa011acfd460fe5c90a7edaca642f4 924878 libmono0_1.9.1+dfsg-5_i386.deb
 6c3a819613cff068b5ea7679309523bd8c7616a80bb38e395e98e8f2238d3c2d 1998666 libmono0-dbg_1.9.1+dfsg-5_i386.deb
 d6d36e3f1dddfbb5681d26bcad2a683cfa5d8840149e67ba713c7225c4abe732 1245248 libmono-dev_1.9.1+dfsg-5_i386.deb
 0b8e72b1a32744bdd554c8b54873a6055626e1983eae436226dde18c2a64eb0b 65530 mono-jay_1.9.1+dfsg-5_i386.deb
 02cc855bb9454fc7db1cfd1e09510fe62e3d3b1b4f0a142f2feffb9afe985965 401770 libmono1.0-cil_1.9.1+dfsg-5_all.deb
 28527884cbc04faf98c3a204270a1e3a6d2d7ae5e73362d89b95a4df7c2e9218 246392 libmono2.0-cil_1.9.1+dfsg-5_all.deb
 2d094933ef0db73735003b339f13249ada8d470ccf212052e2049ffbfb50df28 138134 libmono-c5-1.0-cil_1.9.1+dfsg-5_all.deb
 aa96b472d7462d8c5ce94171031dd783fcb13dd0da7ff87c424ba9d60cd8ec95 58602 libmono-mozilla0.2-cil_1.9.1+dfsg-5_all.deb
 ab64776e6b421fa91cc54741f92408a459763f40e8576e935a60fa2e9c5bde30 83372 libmono-nunit2.2-cil_1.9.1+dfsg-5_all.deb
 22877ea8b45651d53b335a653e7d100c47b113a3c5d4fd39e7942710082020de 748788 libmono-corlib1.0-cil_1.9.1+dfsg-5_all.deb
 fb205a449b03e11864596fb908d7a54e176a74aa1eb11849229709748eddb61e 905564 libmono-corlib2.0-cil_1.9.1+dfsg-5_all.deb
 e48b64cc11ab2d0ea49c7731ef48e4c7695b5d2986c548520324d015d28b86f7 759712 libmono-corlib2.1-cil_1.9.1+dfsg-5_all.deb
 438e060a3e6917644432953f14ec17c818983317094459adda599aaf15d9a712 401384 libmono-i18n1.0-cil_1.9.1+dfsg-5_all.deb
 9262bbc4d2118443757d2ea01a04d427f5a09689ad4a78dc65aa11cc9285b880 405102 libmono-i18n2.0-cil_1.9.1+dfsg-5_all.deb
 0f5cfd321d2ed9b1baa05d52fa4209918a75cad2580d778945c80e66a2eb9b7f 933714 libmono-system1.0-cil_1.9.1+dfsg-5_all.deb
 6d9ba75a2a6c86c371151f06a864be5526022b75c98c4cb161c11a5db4d28719 1468706 libmono-system2.0-cil_1.9.1+dfsg-5_all.deb
 d4603aea4bedab9410e55cc9ed489baca3f1b51b4a31f96657304e576f644c80 282416 libmono-system2.1-cil_1.9.1+dfsg-5_all.deb
 eaac6abdf63e98aff23d6e81c92263ee1d0a44770091b502141fa12096e0eb88 53470 libmono-system-messaging1.0-cil_1.9.1+dfsg-5_all.deb
 0fd2097c1555d360da38b8c21e8f464949ac2747b5572f32c9a7a27a08dadc05 53514 libmono-system-messaging2.0-cil_1.9.1+dfsg-5_all.deb
 05d975014bc3b229be60447eb50cf5e90224f2baa67a0666398d1d43141bd536 140656 libmono-security1.0-cil_1.9.1+dfsg-5_all.deb
 d5600ee70410d251c74c8aa2c9e6ef173e156257daed8d60822c6b2b2e0aafa1 141726 libmono-security2.0-cil_1.9.1+dfsg-5_all.deb
 954f603012ec741077295a19acbf6c3d3b8a0310f4a5ffa07a0e461cbc2f759e 56310 libmono-data-tds1.0-cil_1.9.1+dfsg-5_all.deb
 7036871fb911f6bd005e50b67de440e8901abcef45b9424be42eb0543814da2a 58466 libmono-data-tds2.0-cil_1.9.1+dfsg-5_all.deb
 74eb253db75a1fb0b1531ebdd8e7e93e9145b38b96aef90fd6c2e76edf3f5d39 249704 libmono-system-data1.0-cil_1.9.1+dfsg-5_all.deb
 5d47f9621407ec09bc44d65d5440c04c49e4a216e78da081ee96999db95e1f2a 316184 libmono-system-data2.0-cil_1.9.1+dfsg-5_all.deb
 c636a8efab55ee3f64eed6ac9ff325dbbfdd58c0a4bd46368a155e3f4b104882 426498 libmono-system-web1.0-cil_1.9.1+dfsg-5_all.deb
 454c45bb56146fb4506f0b42cb62a5050bd71051c9cf36898bd3848ba5a5f3af 864802 libmono-system-web2.0-cil_1.9.1+dfsg-5_all.deb
 948fc08e160c76bf5e0480151a25c6621ed40f21e508f7dc3d5fedd1cc048b56 86920 libmono-system-runtime1.0-cil_1.9.1+dfsg-5_all.deb
 1bdd788cbb0d9d0633d6e9b5bd461e2a0d661060f5e88334723add6e86f2592f 95610 libmono-system-runtime2.0-cil_1.9.1+dfsg-5_all.deb
 d21e66734a0aeef45c4e12aa2384e276bd3e80ae5baf97f1e0550f17c08d3fec 44598 libmono-system-ldap1.0-cil_1.9.1+dfsg-5_all.deb
 e76ed3d43d54501a3e848016c24506cc26692f55e834e72878ff2cb95c8bd90c 44650 libmono-system-ldap2.0-cil_1.9.1+dfsg-5_all.deb
 f971ec53d265b86742692ea6b2b08d025a19be9fda0d0812f63d310674325863 945248 libmono-winforms1.0-cil_1.9.1+dfsg-5_all.deb
 fd01ceaddb77d94bea1bb565288199f881117fe50c96adeccf4b6f305adb81c4 1280940 libmono-winforms2.0-cil_1.9.1+dfsg-5_all.deb
 e8d629ead46536599bbfc12ef0b2f8aa8e35fd229939ef2b3cd9fe9473ebd301 47624 libmono-cairo1.0-cil_1.9.1+dfsg-5_all.deb
 e881c59a17b5deca77ca61c57fd297998f3d1a4eede56e8fca265d3339b3667d 47484 libmono-cairo2.0-cil_1.9.1+dfsg-5_all.deb
 b40d96f73ed21b1c170cbf6b4dc8893fa50628dc60cbc7f4ab9d2933f27619e3 74534 libmono-sharpzip0.6-cil_1.9.1+dfsg-5_all.deb
 a2ace66ca7a7bf6b12ed42d3dfb1492fdc7b371a642e6e1d1f404ff3eb7c0a85 84626 libmono-sharpzip0.84-cil_1.9.1+dfsg-5_all.deb
 c6f837ee1ef9407cddaf3aa7e5981c9451205c23353deeb3832ccbaa79871f51 74616 libmono-sharpzip2.6-cil_1.9.1+dfsg-5_all.deb
 88f9dfdeec63a5521ec6648a888354cf7de3de8435cf12b70e3cbbf5179d2f9b 84668 libmono-sharpzip2.84-cil_1.9.1+dfsg-5_all.deb
 aecfda5dd9d1405abaa81a4895d0fd6464279bd9694cfca3952aae296347030f 91706 libmono-npgsql1.0-cil_1.9.1+dfsg-5_all.deb
 0ad39ef10afca880ec484527d8e8d167701e2317b174a8d820d17779eb439cd7 91808 libmono-npgsql2.0-cil_1.9.1+dfsg-5_all.deb
 9b9998ee5951293a8daaaeea7c66f78fa9d8598a227734f13b34bec30526c0fc 69204 libmono-bytefx0.7.6.1-cil_1.9.1+dfsg-5_all.deb
 e790d56f28271e53309b2d19a8fff986985da3b69550d8c1e686a0022756a44f 69294 libmono-bytefx0.7.6.2-cil_1.9.1+dfsg-5_all.deb
 15938db5c48ea8f4ca1d473a6b448e383ecb382da5dc3b2b7fae98991c005a59 212138 libmono-firebirdsql1.7-cil_1.9.1+dfsg-5_all.deb
 d6ff46c928b20418d5bffdb23ad33fa933331f66152655525b0ee3eeb9891e1a 56346 libmono-db2-1.0-cil_1.9.1+dfsg-5_all.deb
 58411f658f2a2187ae41641681dfc59e6e21c5b1329c9db2e1f68192fa36a391 79330 libmono-oracle1.0-cil_1.9.1+dfsg-5_all.deb
 9dd5d616a462608976ad97ee8f28c44f8472c1decce0d2e34834a7128fe5633c 79508 libmono-oracle2.0-cil_1.9.1+dfsg-5_all.deb
 c473d3f265ddcb263806c941889b8b8498c4cbe540b8a1a58fa8ee825526f1c4 60562 libmono-sqlite1.0-cil_1.9.1+dfsg-5_all.deb
 fc73a01e7a3dc5ed974fa1666f4b8fb6dc6249256630fc0528dbfe53fc087ebd 93116 libmono-sqlite2.0-cil_1.9.1+dfsg-5_all.deb
 5dacd3685f514f6f64a2cc7839f55b46fd2142d7014cdb8186a01267bed1ec62 30672 libmono-accessibility1.0-cil_1.9.1+dfsg-5_all.deb
 470fe6b9c44e4d61939658eaf26887a204843142b895e16def3bbab9b8e823f9 30632 libmono-accessibility2.0-cil_1.9.1+dfsg-5_all.deb
 2c229efa91142353fe38e226e7b969985dbb2ab16b27e77e79f5bbf1fd990de7 33466 libmono-cscompmgd7.0-cil_1.9.1+dfsg-5_all.deb
 f2aad1745b0751d53261b16c57fe7f436d62d013aa328dc442f8dcef7410721f 33728 libmono-cscompmgd8.0-cil_1.9.1+dfsg-5_all.deb
 b27627403b0b8af751c5dde4b0102c9199d9f2cc2bd31de4589ddd436b3d827a 127740 libmono-ldap1.0-cil_1.9.1+dfsg-5_all.deb
 fc655efac947ee333566a9b0c87098ac279f73787a6d590e3e5682be0b59f8e6 127864 libmono-ldap2.0-cil_1.9.1+dfsg-5_all.deb
 27d75da785d3923dc4cecb9868194108dcbcba99fe2154ff3fe91130ea94f3df 138746 libmono-microsoft-build2.0-cil_1.9.1+dfsg-5_all.deb
 0e14f93d8c1d8ff459fdfecee7155f1b1cfee54317f2161c49c3dc52683a69cc 156122 libmono-microsoft7.0-cil_1.9.1+dfsg-5_all.deb
 ea62cd5a4d5b8eb6dfeb06990b96be88b15944971e6b3e39ca8655263a324ab4 156152 libmono-microsoft8.0-cil_1.9.1+dfsg-5_all.deb
 d8673e9f5c6be7edef4606d58748ba6d6491a9153d0fcc952a4bd5568c8d023f 69656 libmono-peapi1.0-cil_1.9.1+dfsg-5_all.deb
 7e39649a3e5626effa0b5ef9db4fae62dfabeedf83a5ec9daa3bdad1b56c119e 69776 libmono-peapi2.0-cil_1.9.1+dfsg-5_all.deb
 b7a960d33339a21e7a1bf12d8431ac1ba34a76fe91f2837c4d30587f6649baa9 109964 libmono-relaxng1.0-cil_1.9.1+dfsg-5_all.deb
 66c7a1109a54b024477404b79d64b55b5ecc9001f4bf3122b91d87509a3e638f 110420 libmono-relaxng2.0-cil_1.9.1+dfsg-5_all.deb
 afbd19dfdeec9bda93a1ec5d063678ca6d1cf719f89d7a17c01009538d0e9af3 12086800 mono-dbg_1.9.1+dfsg-5_all.deb
 f6b5ada4b8fcd05649b1ced80b25a698df75136b901873f385686090d95e9939 34760 mono-mjs_1.9.1+dfsg-5_all.deb
 fbf30204d3e26d8b945c83bfda0c545c0122dbc81492c8ffc233f33089ca1563 366624 mono-mcs_1.9.1+dfsg-5_all.deb
 d03ad39020b9cd91d489798a94e27a958bd53aac9a996535ac6b36c7a4212b75 387434 mono-gmcs_1.9.1+dfsg-5_all.deb
 1eb80c4dbeaf08eb6bc8fcc1608470b67e65d0f0402ff6ebeba747985c506ae7 374896 mono-smcs_1.9.1+dfsg-5_all.deb
 6e6fa0b92b07f842dd15866d1a5770334a0487336371e7a768434fbbbf757245 389564 mono-1.0-devel_1.9.1+dfsg-5_all.deb
 6a240bca5c9576b4fb90638a20efc668386dc7f2c3c80cb3e01aefe72fdeb7fc 213108 mono-2.0-devel_1.9.1+dfsg-5_all.deb
 acac0e2e42cda2eb4e9c2c62d1934abde83b13ea092c53720908a73e260aad47 35008 mono-1.0-service_1.9.1+dfsg-5_all.deb
 25da9db3377df36e33ee92a6dc947f04e28ddff0cc896646d0d8175e69c27b5f 35046 mono-2.0-service_1.9.1+dfsg-5_all.deb
 42ea69a9491829113546f3cc404aaa40cfa8f8e42d8b9dfd6acdfe8c8ab52879 49966 mono-xbuild_1.9.1+dfsg-5_all.deb
 8272d58e5f096324490e436e991663b6ff5318c4d36f512d5b5dd9a7ce3834d6 40908 mono-gac_1.9.1+dfsg-5_all.deb
 58aba6fc3fcfab1b8e80dc7bed41dd52c76b5124f7b765a72c05b3ff8db8ad2e 44420 prj2make-sharp_1.9.1+dfsg-5_all.deb
Files: 
 9e63cf315e39246a0fb16701d780016b 3347 interpreters optional mono_1.9.1+dfsg-5.dsc
 449fedc4de64c482485df8b80cd8568f 125995 interpreters optional mono_1.9.1+dfsg-5.diff.gz
 cbe11ffc070a27c278b64b7f909e6546 116088 interpreters optional mono-common_1.9.1+dfsg-5_i386.deb
 cfe4562a8c983755cce32cf6631158b0 27090 interpreters optional mono-runtime_1.9.1+dfsg-5_i386.deb
 3509a14421fb557c8aed4567b0da54db 799090 interpreters optional mono-jit_1.9.1+dfsg-5_i386.deb
 fa29cc799f154aa21a1b30526a67be5e 1865492 interpreters extra mono-jit-dbg_1.9.1+dfsg-5_i386.deb
 973522aeeb812960e554e00b06650c59 663920 devel optional mono-utils_1.9.1+dfsg-5_i386.deb
 8f4f3b73668ed1c44c8994ff92b0ac61 924878 libs optional libmono0_1.9.1+dfsg-5_i386.deb
 37514611fd57a90b8435ede5ca0c5e16 1998666 libdevel extra libmono0-dbg_1.9.1+dfsg-5_i386.deb
 67bfed17ac6ebc777b4134762a328295 1245248 libdevel optional libmono-dev_1.9.1+dfsg-5_i386.deb
 5c546e9dbd359de4f504ee9cea98e705 65530 devel optional mono-jay_1.9.1+dfsg-5_i386.deb
 aaf2690d8d9da897f2683cda308982d9 401770 libs optional libmono1.0-cil_1.9.1+dfsg-5_all.deb
 5e79fb7f100293475e985e7e6b04ea5c 246392 libs optional libmono2.0-cil_1.9.1+dfsg-5_all.deb
 1b3c32201e4449cd0bfa421f04c8b373 138134 libs optional libmono-c5-1.0-cil_1.9.1+dfsg-5_all.deb
 68e1519f6da9b0b5dcc9cb354ec1b1bf 58602 libs optional libmono-mozilla0.2-cil_1.9.1+dfsg-5_all.deb
 5df4424bd90c2259c12b98034d80b82b 83372 libs optional libmono-nunit2.2-cil_1.9.1+dfsg-5_all.deb
 827a35e0cdf64327a48f5cd2031e04b1 748788 libs optional libmono-corlib1.0-cil_1.9.1+dfsg-5_all.deb
 27a296eed77b1e180ec678504b2af9eb 905564 libs optional libmono-corlib2.0-cil_1.9.1+dfsg-5_all.deb
 a61483cb0e59f92e11a034c731ec3750 759712 libs optional libmono-corlib2.1-cil_1.9.1+dfsg-5_all.deb
 e579438debe2def75c88202f63603e33 401384 libs optional libmono-i18n1.0-cil_1.9.1+dfsg-5_all.deb
 249a28639606230c35b24965d9496da7 405102 libs optional libmono-i18n2.0-cil_1.9.1+dfsg-5_all.deb
 937724639e57f18f037a89551cc13491 933714 libs optional libmono-system1.0-cil_1.9.1+dfsg-5_all.deb
 93c7d3977da602d2ef051100db4f177f 1468706 libs optional libmono-system2.0-cil_1.9.1+dfsg-5_all.deb
 2ee011c82ba0141bbe8ec711017a5c7c 282416 libs optional libmono-system2.1-cil_1.9.1+dfsg-5_all.deb
 a1a62625d0e19018c8cce2ff9c331a83 53470 libs optional libmono-system-messaging1.0-cil_1.9.1+dfsg-5_all.deb
 31222980afb6e7d7ccba905b19aad76a 53514 libs optional libmono-system-messaging2.0-cil_1.9.1+dfsg-5_all.deb
 391a0a0417133bfa0d942339db2371a8 140656 libs optional libmono-security1.0-cil_1.9.1+dfsg-5_all.deb
 9d7bffb680642461b959b99a71b0d5d6 141726 libs optional libmono-security2.0-cil_1.9.1+dfsg-5_all.deb
 f20de8d57cbe3241cfc1d35e772dd4ac 56310 libs optional libmono-data-tds1.0-cil_1.9.1+dfsg-5_all.deb
 951ca72e8abdedc3fe9ff58d217cbc98 58466 libs optional libmono-data-tds2.0-cil_1.9.1+dfsg-5_all.deb
 82a27ffed8a67d4d9fc43e7e21bee534 249704 libs optional libmono-system-data1.0-cil_1.9.1+dfsg-5_all.deb
 fd157e3741d9612093f367154796914c 316184 libs optional libmono-system-data2.0-cil_1.9.1+dfsg-5_all.deb
 0dfee58d4183498a0ee7b25d87dea278 426498 libs optional libmono-system-web1.0-cil_1.9.1+dfsg-5_all.deb
 95bd94f1ff924dc7c5fd7b24e034c92b 864802 libs optional libmono-system-web2.0-cil_1.9.1+dfsg-5_all.deb
 58f00fd6750a3b5dabf4e03746d5cc4a 86920 libs optional libmono-system-runtime1.0-cil_1.9.1+dfsg-5_all.deb
 4a30a71d579ddcbe8167cdfb699068a5 95610 libs optional libmono-system-runtime2.0-cil_1.9.1+dfsg-5_all.deb
 334d330e2a59eb8c892fdbeb7a4de7d3 44598 libs optional libmono-system-ldap1.0-cil_1.9.1+dfsg-5_all.deb
 8e58c70fb51b59996a8bfed301dbd65d 44650 libs optional libmono-system-ldap2.0-cil_1.9.1+dfsg-5_all.deb
 db7fd7074182cbc95b835bab1b1e5da9 945248 libs optional libmono-winforms1.0-cil_1.9.1+dfsg-5_all.deb
 376430c21e4f472e9c6f6863819ba4bd 1280940 libs optional libmono-winforms2.0-cil_1.9.1+dfsg-5_all.deb
 374ec5f494eed739b9cbfd050b5f34d3 47624 libs optional libmono-cairo1.0-cil_1.9.1+dfsg-5_all.deb
 e81183ce06ca0145b256b8a0a71f48ac 47484 libs optional libmono-cairo2.0-cil_1.9.1+dfsg-5_all.deb
 a18ae686fecb91e9fab0fb4c20102f77 74534 libs optional libmono-sharpzip0.6-cil_1.9.1+dfsg-5_all.deb
 2a0fbfb112b8e7da8f18074efe0a3dd6 84626 libs optional libmono-sharpzip0.84-cil_1.9.1+dfsg-5_all.deb
 fdf8fd7d8ed65f575cda549438290524 74616 libs optional libmono-sharpzip2.6-cil_1.9.1+dfsg-5_all.deb
 61d890e3d846cfc1ad6d439ca1128525 84668 libs optional libmono-sharpzip2.84-cil_1.9.1+dfsg-5_all.deb
 2e05ce65e216fe2771eb15bd141e6d82 91706 libs optional libmono-npgsql1.0-cil_1.9.1+dfsg-5_all.deb
 0c2a64af0bedd50772b85386769fc3d3 91808 libs optional libmono-npgsql2.0-cil_1.9.1+dfsg-5_all.deb
 9a80aee2a2c17a66be3dc1968f1669b6 69204 libs optional libmono-bytefx0.7.6.1-cil_1.9.1+dfsg-5_all.deb
 db95650164e6cf8939914d8536f977d4 69294 libs optional libmono-bytefx0.7.6.2-cil_1.9.1+dfsg-5_all.deb
 c9db163601280d393002f4b676475188 212138 libs optional libmono-firebirdsql1.7-cil_1.9.1+dfsg-5_all.deb
 aec39fd4120866167b0230b3b7a9f84e 56346 libs optional libmono-db2-1.0-cil_1.9.1+dfsg-5_all.deb
 145816e0477471fa64f09572131f9468 79330 libs optional libmono-oracle1.0-cil_1.9.1+dfsg-5_all.deb
 33b2377e9c85412a95cfae4ed7ecc38d 79508 libs optional libmono-oracle2.0-cil_1.9.1+dfsg-5_all.deb
 2f2bde846e3e7088a9b0065675e149c6 60562 libs optional libmono-sqlite1.0-cil_1.9.1+dfsg-5_all.deb
 be9203dcb78ff72219672b46a81920a6 93116 libs optional libmono-sqlite2.0-cil_1.9.1+dfsg-5_all.deb
 453b8646a1e3d29297b63ea61458b94a 30672 libs optional libmono-accessibility1.0-cil_1.9.1+dfsg-5_all.deb
 9ea001df34fdc881deadf3c7696a5218 30632 libs optional libmono-accessibility2.0-cil_1.9.1+dfsg-5_all.deb
 eb40b3fd998b49df9dcec031a1916870 33466 libs optional libmono-cscompmgd7.0-cil_1.9.1+dfsg-5_all.deb
 b8bc4564df772ea2f23c463f8bfac379 33728 libs optional libmono-cscompmgd8.0-cil_1.9.1+dfsg-5_all.deb
 42fdec05018185a1d1d531e5f5fed292 127740 libs optional libmono-ldap1.0-cil_1.9.1+dfsg-5_all.deb
 ffe601a8acf59d2419f573ef0076a4ad 127864 libs optional libmono-ldap2.0-cil_1.9.1+dfsg-5_all.deb
 78d68f416281609f220e7841bd7fa4b1 138746 libs optional libmono-microsoft-build2.0-cil_1.9.1+dfsg-5_all.deb
 bab3f648f3771b3a80feb45b7b55de85 156122 libs optional libmono-microsoft7.0-cil_1.9.1+dfsg-5_all.deb
 6aece49baf5633e79089911ab004a224 156152 libs optional libmono-microsoft8.0-cil_1.9.1+dfsg-5_all.deb
 bff1904cc65354ce77c0c314603742e9 69656 libs optional libmono-peapi1.0-cil_1.9.1+dfsg-5_all.deb
 b4a94d02b11a537f201f1eeb23563515 69776 libs optional libmono-peapi2.0-cil_1.9.1+dfsg-5_all.deb
 0ed0c83a6361851ff2076225ca927a60 109964 libs optional libmono-relaxng1.0-cil_1.9.1+dfsg-5_all.deb
 5c07b18d347cbf776bb419e357991805 110420 libs optional libmono-relaxng2.0-cil_1.9.1+dfsg-5_all.deb
 4c5e8a0f7c06ec2314e9dca4bd6c6644 12086800 devel extra mono-dbg_1.9.1+dfsg-5_all.deb
 a720c965dd435a8bb57418abda5d93a1 34760 devel optional mono-mjs_1.9.1+dfsg-5_all.deb
 23c206f965701f4d0fb6327293cc00f5 366624 devel optional mono-mcs_1.9.1+dfsg-5_all.deb
 1c7afcb7d2d0c04e65d2c5670c0e3054 387434 devel optional mono-gmcs_1.9.1+dfsg-5_all.deb
 b1dc53f3fc3260a41062a514b180b3a0 374896 devel optional mono-smcs_1.9.1+dfsg-5_all.deb
 d7bbda7deeb84ab4936d631eb47ef1ae 389564 devel optional mono-1.0-devel_1.9.1+dfsg-5_all.deb
 1410bff021a5e8d064e5018f14996382 213108 devel optional mono-2.0-devel_1.9.1+dfsg-5_all.deb
 847725d7c2964740108b4f6e811c4d19 35008 devel optional mono-1.0-service_1.9.1+dfsg-5_all.deb
 1a81d049bc9fae6820fc069aae304748 35046 devel optional mono-2.0-service_1.9.1+dfsg-5_all.deb
 f9d397f0396c0385aae328c64016da6c 49966 devel optional mono-xbuild_1.9.1+dfsg-5_all.deb
 e7a5797769b784b2780a8443caed24da 40908 devel optional mono-gac_1.9.1+dfsg-5_all.deb
 92e33a7f5c3311728ae223805c36cdf6 44420 devel optional prj2make-sharp_1.9.1+dfsg-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iJwEAQECAAYFAkk4VIEACgkQcJWf5zskR2FLbwP/WMdmZZLfdUqJz4l4A++KX2WO
Csya9R9q97zMn0C3wPujLrykq/ud87sQ1KoMtUI1Y4zzq1HZ/lSUpc5KTTRbGLdc
xwfb24iSXWPfxrEdcXx07UuQPCDqxYPUPXv1Edry1ismJRnqouhGSDr+fHOPyr6J
eBxOX3EnnjyEmW79piU=
=0j6F
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Jan 2009 07:28:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:49:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.